<section class="onboarding-satu-peta">
  <div class="modal-header p-3">
    <ul class="flow-step p-0">
      <li class="cursor-pointer"
          *ngFor="let number of totalPage(lastPage); let i = index"
          (click)="setActivePage(i+1)"
          [ngClass]="{active: activePage === i + 1}"></li>
    </ul>
  </div>
  <div class="modal-body pb-3 px-3">
    <div class="container">
      <div *ngTemplateOutlet="page"></div>
    </div>
  </div>
  <div class="modal-footer">
    <button class="toggle-skip btn me-auto cursor-pointer"
            (click)="closeModal()">Lewati</button>
    <button class="toggle-prev btn"
            [disabled]="activePage === 1"
            (click)="setActivePage(activePage - 1)">Sebelumnya</button>
    <button class="toggle-next btn"
            *ngIf="activePage !== lastPage && activePage > 1"
            (click)="setActivePage(activePage + 1)">Selanjutnya</button>
    <button class="toggle-next btn"
            *ngIf="activePage === 1"
            (click)="setActivePage(activePage + 1)">Mulai Tutorial</button>
    <button class="toggle-next btn"
            *ngIf="activePage === lastPage"
            (click)="toggleDone()">Selesai</button>
  </div>
</section>

<ng-template #page>
  <div [ngClass]="{'d-none': activePage !== 1}">
    <div class="title fw-bold mb-4">Selamat datang di Satu Peta Jabar!</div>
    <div style="position: relative; height: 280px;">
      <ng-lottie [options]="lottieOptions[1 - 1]"
                 width="100%"></ng-lottie>
    </div>

    <p class="mt-3">
      Apa Anda tertarik untuk mengeksplorasi tutorial penggunaan fitur-fitur Satu Peta ?
    </p>
  </div>
  <div [ngClass]="{'d-none': activePage !== 2}">
    <div class="title fw-bold">Cari dan temukan data!</div>
    <p class="my-3">
      Anda dapat mencari data geospasial berdasarkan ragam kategori dengan memasukkan kata kunci pada kolom pencarian.
      <br> Setelah itu, Anda juga dapat langsung memvisualisasikannya dalam peta!
    </p>
    <ng-lottie [options]="lottieOptions[2 - 1]"
               width="100%"></ng-lottie>
  </div>
  <div [ngClass]="{'d-none': activePage !== 3}">
    <div class="title fw-bold">Cari Data berdasarkan Geometri</div>
    <p class="my-3">
      Mudahkan Anda melakukan pencarian dalam bentuk geometri, dengan menggunakan titik (untuk data geospasial poligon),
      garis (untuk data geospasial poligon dan garis), dan poligon (untuk data geospasial titik, garis, dan poligon).
    </p>
    <ng-lottie [options]="lottieOptions[3 - 1]"
               width="100%"></ng-lottie>
  </div>
  <div [ngClass]="{'d-none': activePage !== 4}">
    <div class="title fw-bold">Filter data berdasarkan atribut data geospasial</div>
    <p class="my-3">
      Filter data berdasarkan atribut tertentu juga bisa dilakukan sesuai kebutuhan Anda!
    </p>
    <ng-lottie [options]="lottieOptions[4 - 1]"
               width="100%"></ng-lottie>
  </div>
  <div [ngClass]="{'d-none': activePage !== 5}">
    <div class="title fw-bold">Tampilkan Data Waze</div>
    <p class="my-3">
      Data kepadatan lalu lintas, kecelakaan lalu lintas, jalan berlubang, dan banjir bisa ditampilkan dari sumber data
      Waze.
    </p>
    <ng-lottie [options]="lottieOptions[5 - 1]"
               width="100%"></ng-lottie>
  </div>
  <div [ngClass]="{'d-none': activePage !== 6}">
    <div class="title fw-bold">Filter Data Waze berdasarkan rentan waktu tertentu</div>
    <p class="my-3">
      Dalam menampilkan data Kepadatan Lalu Lintas, Anda dapat melihatnya secara realtime hingga dapat memilih hari dan
      interval waktu sampai dengan seminggu terakhir
    </p>
    <ng-lottie [options]="lottieOptions[6 - 1]"
               width="100%"></ng-lottie>
  </div>
  <div [ngClass]="{'d-none': activePage !== 7}">
    <div class="title fw-bold">Mengekspor peta</div>
    <p class="my-3">
      Anda juga dapat mengekspor peta yang ditampilkan dalam format pdf, jpg, dan png.
    </p>
    <ng-lottie [options]="lottieOptions[7 - 1]"
               width="100%"></ng-lottie>

    <div class="custom-control custom-checkbox position-absolute"
         style="bottom: 10px;">
      <input class="custom-control-input"
             type="checkbox"
             id="isAgree"
             [(ngModel)]="isAgree">
      <label class="custom-control-label"
             for="isAgree">Saya mengerti, jangan tampilkan informasi ini lagi</label>
    </div>
  </div>
</ng-template>